Loading...
Searching...
No Matches
pcl::detail::FieldAdderAdvanced< PointT > Struct Template Reference

Used together with pcl::for_each_type, creates list of all fields, and list of size of each field. More...

`#include <pcl/conversions.h>`

## Public Member Functions

| FieldAdderAdvanced (std::vector< pcl::PCLPointField > &fields, std::vector< std::size_t > &field_sizes)
template<typename U>
void | operator() ()

## Public Attributes

std::vector< pcl::PCLPointField > & | fields_
std::vector< std::size_t > & | field_sizes_

## Detailed Description

template<typename PointT>
struct pcl::detail::FieldAdderAdvanced< PointT >

Used together with pcl::for_each_type, creates list of all fields, and list of size of each field.

Definition at line 346 of file conversions.h.

## Constructor & Destructor Documentation

## FieldAdderAdvanced()

template<typename PointT>

pcl::detail::FieldAdderAdvanced< PointT >::FieldAdderAdvanced | ( | std::vector< pcl::PCLPointField > & | fields,
|  | std::vector< std::size_t > & | field_sizes )

inline

Definition at line 348 of file conversions.h.

References field_sizes_, and fields_.

## Member Function Documentation

## operator()()

template<typename PointT>
template<typename U>

void pcl::detail::FieldAdderAdvanced< PointT >::operator() | ( |  | ) |

inline

Definition at line 350 of file conversions.h.

References pcl::PCLPointField::count, pcl::PCLPointField::datatype, field_sizes_, fields_, pcl::PCLPointField::name, and pcl::PCLPointField::offset.

## Member Data Documentation

## field_sizes_

template<typename PointT>

std::vector<std::size_t>& pcl::detail::FieldAdderAdvanced< PointT >::field_sizes_

Definition at line 362 of file conversions.h.

Referenced by FieldAdderAdvanced(), and operator()().

## fields_

template<typename PointT>

std::vector<pcl::PCLPointField>& pcl::detail::FieldAdderAdvanced< PointT >::fields_

Definition at line 361 of file conversions.h.

Referenced by FieldAdderAdvanced(), and operator()().

The documentation for this struct was generated from the following file:

- pcl/conversions.h